> ## Documentation Index
> Fetch the complete documentation index at: https://developer.clopos.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Balance Transactions

> Transactions grouped by account. Proxies to client-api `finance/balance/transaction`.



## OpenAPI

````yaml /api-reference/v2/openapi.json get /finance/balances/transactions
openapi: 3.1.0
info:
  title: Clopos Open API v2
  description: >-
    The **Clopos Open API v2** provides secure and unified access to the Clopos
    ecosystem, enabling seamless integration of POS, ordering, payments, and
    restaurant management services.
  contact:
    email: dev@clopos.com
  version: 2.0.0
  license:
    name: ''
servers:
  - url: https://integrations.clopos.com/open-api/v2
    description: '**Base Url**'
security:
  - xToken: []
tags:
  - name: Authentication
  - name: Venues
  - name: Users
  - name: Customers
  - name: Menu
  - name: Stations
  - name: Products
  - name: Price Lists
  - name: Sales
  - name: Orders
  - name: Receipts
  - name: Inventory
  - name: Finance
paths:
  /finance/balances/transactions:
    get:
      tags:
        - Finance
      summary: Balance Transactions
      description: >-
        Transactions grouped by account. Proxies to client-api
        `finance/balance/transaction`.
      responses:
        '200':
          description: Request completed successfully.
          content:
            application/json:
              schema:
                type: object
                properties:
                  success:
                    type: boolean
                    example: true
                  data:
                    type: array
                    items:
                      $ref: '#/components/schemas/FinanceTransaction'
components:
  schemas:
    FinanceTransaction:
      type: object
      properties:
        id:
          type: integer
        venue_id:
          type: integer
        cid:
          type: string
          nullable: true
        group:
          type: string
          nullable: true
        type:
          type: string
          description: IN or OUT.
        account_type:
          type: string
          nullable: true
        indicator:
          type: boolean
        category_id:
          type: integer
          nullable: true
        user_id:
          type: integer
          nullable: true
        operation_id:
          type: integer
          nullable: true
        receipt_id:
          type: integer
          nullable: true
        sale_type_id:
          type: integer
          nullable: true
        customer_id:
          type: integer
          nullable: true
        supplier_id:
          type: integer
          nullable: true
        payment_method_id:
          type: integer
          nullable: true
        terminal_id:
          type: integer
          nullable: true
        returns_id:
          type: integer
          nullable: true
        staff_id:
          type: integer
          nullable: true
        balance_id:
          type: integer
          nullable: true
        from_balance_id:
          type: integer
          nullable: true
        amount:
          type: number
        before_amount:
          type: number
        after_amount:
          type: number
        description:
          type: string
          nullable: true
        service_name:
          type: string
          nullable: true
        service_ref_id:
          type: string
          nullable: true
        operated_at:
          type: string
          format: date-time
        shift_date:
          type: string
          format: date
          nullable: true
        accounting_period:
          type: string
          format: date
          nullable: true
  securitySchemes:
    xToken:
      type: apiKey
      in: header
      name: x-token
      description: JWT access token obtained from /v2/auth endpoint

````